NAND_READ_PAGE_SYNDR(9)

NAME
nand_read_page_syndrome - [REPLACEABLE] hardware ECC syndrome based page read

SYNOPSIS

int nand_read_page_syndrome(struct mtd_info * mtd, struct nand_chip * chip, uint8_t * buf, int oob_required, int page);

ARGUMENTS

mtd
    mtd info structure

chip
    nand chip info structure

buf
    buffer to store read data

oob_required
    caller requires OOB data read to chip->oob_poi

page
    page number to read

DESCRIPTION

The hw generator calculates the error syndrome automatically. Therefore we need a special oob layout and handling.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT